PT BIA - Feature #1894

Fungsi Download attachment file di form "master data | file data

12/26/2022 11:07 AM - Moch Alinafia

Status: Closed
Priority: High
Assignee: Moch Alinafia
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

12/26/2022

0%
0.00 hour
0.00 hour

Description
Dear Dev

tolong di buat fungsi untuk download file yg sudah di upload pada tab file data yg ada di menu employee master data

bia dev

url : http://hris-bia-dev.minovais.com/

user : nando

pass : 123Aa

user yg dapat di pakai employee id : 11100030
db server : 45.251.75.66

database name : MinovaES_BIA Dev

Terima Kasih

History

#1 - 12/26/2022 12:44 PM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Moch Alinafia

penambahan menu pada file
...\scripts\mdgenerator.js

fungsi = mdgenerator.createFormCard
penambahan pada buttons Panel = {
text: 'Download Attachment!,

hidden: false,

margin: '0 3 15 0', //(top, right, bottom, left).
name: 'btnDownloadAtt',

iconCls: 'fa-download ',

style: 'font-family: FontAwesome',
myfilename:record.data.FileData,

handler: function () {

var filedownload =Ext.ComponentQuery.query('[name=btnDownloadAtt]')[0].myfilename;

if(filedownload !=undefined){

var url = '/Devt/GetFileData?FileName=" + filedownload + '&download=true';

window.open(url, '_blank');
}else{

MinovaMessage(' Not Null ', ' 000005 ', 'File Tidak Tersedia', 'E'");

}
}
#2 - 12/30/2022 09:41 AM - Moch Alinafia
- Status changed from QA Test to Closed

03/14/2025
